
Redmine - Defect #14675

redmine:email:receive_imap failed with localizaed characters in mail body

2013-08-13 06:22 - Evgeny Zhiryakov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.1

Description

Environment:

  Redmine version                          2.3.1.stable.11845

  Ruby version                             1.9.2 (i486-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

 We send mail with only one string: "Freundliche Grüsse"

Original mail:

MIME-Version: 1.0

Received: by 10.114.38.229 with HTTP; Mon, 12 Aug 2013 20:56:04 -0700 (PDT)

Date: Tue, 13 Aug 2013 10:56:04 +0700

Delivered-To: ezhiryakov@mail.com

Message-ID: <CAN5rfSsXn675pMbiU1wqqfBpFromT05Y_xfF_XOgjXwKROen9g@mail.gmail.com>

Subject: Swipe screen [#38669]

From: Evgeny Zhiryakov <ezhiryakov@mail.com>

To: redmine <redmine@mail.com>

Content-Type: multipart/alternative; boundary=001a11c260fa53f8dc04e3cc380b

--001a11c260fa53f8dc04e3cc380b

Content-Type: text/plain; charset=UTF-8

Content-Transfer-Encoding: quoted-printable

Freundliche Gr=C3=BCsse

--001a11c260fa53f8dc04e3cc380b

Content-Type: text/html; charset=UTF-8

Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Freundliche Gr=C3=BCsse<br></div>

--001a11c260fa53f8dc04e3cc380b--

 When run task receive_imap we have error:

** Invoke redmine:email:receive_imap (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:email:receive_imap

rake aborted!

invalid byte sequence in US-ASCII

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/core_extensions/string.rb:8:in `gsub'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/core_extensions/string.rb:8:in `to_lf'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/encodings/quoted_printable.rb:22:in `encode'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/body.rb:170:in `encoded'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/message.rb:1803:in `encoded'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/body.rb:153:in `block in encoded'

2025-08-23 1/3



/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/parts_list.rb:11:in `block in collect'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/parts_list.rb:11:in `each'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/parts_list.rb:11:in `collect'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/body.rb:153:in `encoded'

/var/lib/gems/1.9.1/gems/mail-2.5.4/lib/mail/message.rb:1803:in `encoded'

/var/lib/gems/1.9.1/gems/actionmailer-3.2.13/lib/action_mailer/base.rb:434:in `set_payload_for_mai

l'

/var/lib/gems/1.9.1/gems/actionmailer-3.2.13/lib/action_mailer/base.rb:403:in `block in receive'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123:in `block in

 instrument'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/notifications/instrumenter.rb:20:

in `instrument'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123:in `instrume

nt'

/var/lib/gems/1.9.1/gems/actionmailer-3.2.13/lib/action_mailer/base.rb:401:in `receive'

/home/redmine/redmine-2.3/app/models/mail_handler.rb:46:in `receive'

/home/redmine/redmine-2.3/lib/redmine/imap.rb:35:in `block in check'

/home/redmine/redmine-2.3/lib/redmine/imap.rb:32:in `each'

/home/redmine/redmine-2.3/lib/redmine/imap.rb:32:in `check'

/home/redmine/redmine-2.3/lib/tasks/email.rake:142:in `block (3 levels) in <top (required)>'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:246:in `call'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:246:in `block in execute'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:241:in `each'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:241:in `execute'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:184:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:201:in `mon_synchronize'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:177:in `invoke_with_call_chain'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/task.rb:170:in `invoke'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:143:in `invoke_task'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:101:in `block (2 levels) in top_level

'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:101:in `each'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:101:in `block in top_level'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:110:in `run_with_threads'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:95:in `top_level'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:73:in `block in run'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:160:in `standard_exception_handling'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:70:in `run'

/var/lib/gems/1.9.1/gems/rake-10.0.4/bin/rake:33:in `<top (required)>'

/usr/bin/rake:19:in `load'

/usr/bin/rake:19:in `<main>'

Tasks: TOP => redmine:email:receive_imap

 What can we do with that?

Associated revisions

Revision 12901 - 2014-02-17 13:42 - Toshi MARUYAMA

add test of quoted printable UTF-8 mail reviving (#14675)

Revision 12902 - 2014-02-17 13:44 - Toshi MARUYAMA

svn propset svn:eol-style native fixture (#14675)

History

#1 - 2013-08-26 09:23 - Anton Nepomnyaschih

+1

#2 - 2014-02-17 12:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

At #15785#note-15, there is suggestion this issue is duplicate of #15785.

#3 - 2014-02-17 12:13 - Toshi MARUYAMA

2025-08-23 2/3

https://www.redmine.org/issues/15785#note-15
https://www.redmine.org/issues/15785


- Is duplicate of Patch #15785: Support more character encodings in incoming emails added

#4 - 2014-02-17 12:27 - Toshi MARUYAMA

- Status changed from Closed to New

- Resolution deleted (Duplicate)

Description log says this issue is not related of #15785.

#5 - 2014-02-17 12:27 - Toshi MARUYAMA

- Is duplicate of deleted (Patch #15785: Support more character encodings in incoming emails)

#6 - 2014-02-17 14:51 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I added test and test passes.

I recommend you to upgrade Ruby.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 3/3

https://www.redmine.org/issues/15785
http://www.tcpdf.org

